XChangeSaveSet(3)

NAME
XChangeSaveSet, XAddToSaveSet, XRemoveFromSaveSet - change a client's save set

SYNTAX

int XChangeSaveSet(Display *display, Window w, int change_mode);

int XAddToSaveSet(Display *display, Window w);

int XRemoveFromSaveSet(Display *display, Window w);

ARGUMENTS

change_mode
    Specifies the mode. You can pass or

display
    Specifies the connection to the X server.

w   Specifies the window that you want to add or delete from the client's save-set.

DESCRIPTION
Depending on the specified mode, either inserts or deletes the specified window from the client's save-set. The specified window must have been created by some other client, or a error results.

can generate and errors.

The function adds the specified window to the client's save-set. The specified window must have been created by some other client, or a error results.

can generate and errors.

The function removes the specified window from the client's save-set. The specified window must have been created by some other client, or a error results.

can generate and errors.

DIAGNOSTICS

Some argument or pair of arguments has the correct type and range but fails
    to match in some other way required by the request.

Some numeric value falls outside the range of values accepted by the request.
    Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.

A value for a Window argument does not name a defined Window.

SEE ALSO
XReparentWindow(3)
Xlib - C Language X Interface